Commit fbc2375d authored by Nicolas Dufresne's avatar Nicolas Dufresne

gl: Move DRM_CFLAGS into gst-gl.m4

parent b8bc2b87
......@@ -295,9 +295,6 @@ GST_PREFIX="`$PKG_CONFIG --variable=prefix gstreamer-$GST_API_VERSION`"
AC_SUBST(GLIB_PREFIX)
AC_SUBST(GST_PREFIX)
dnl check for libdrm
PKG_CHECK_MODULES(DRM, libdrm >= 2.4.55, HAVE_DRM=yes, HAVE_DRM=no)
AG_GST_GL_CHECKS
dnl check for gudev
......
......@@ -154,7 +154,6 @@ libgstgl_@GST_API_VERSION@_la_CFLAGS = \
$(GST_PLUGINS_BASE_CFLAGS) \
$(GST_BASE_CFLAGS) \
$(GST_CFLAGS) \
$(DRM_CFLAGS) \
$(GL_CFLAGS)
libgstgl_@GST_API_VERSION@_la_LDFLAGS = \
......
......@@ -172,10 +172,15 @@ case $host in
AC_CHECK_LIB([EGL], [fbGetDisplay], [HAVE_VIV_FB_EGL=yes])
fi
if test "x$HAVE_EGL" = "xyes" -a "x$HAVE_DRM" = "xyes"; then
PKG_CHECK_MODULES(GBM, gbm, HAVE_GBM_EGL=yes, HAVE_GBM_EGL=no)
AC_SUBST(GBM_CFLAGS)
AC_SUBST(GBM_LIBS)
if test "x$HAVE_EGL" = "xyes"; then
PKG_CHECK_MODULES(DRM, libdrm >= 2.4.55, HAVE_DRM=yes, HAVE_DRM=no)
AC_SUBST(DRM_CFLAGS)
AC_SUBST(DRM_LIBS)
if test "x$HAVE_DRM" = "xyes"; then
PKG_CHECK_MODULES(GBM, gbm, HAVE_GBM_EGL=yes, HAVE_GBM_EGL=no)
AC_SUBST(GBM_CFLAGS)
AC_SUBST(GBM_LIBS)
fi
fi
dnl FIXME: Mali EGL depends on GLESv1 or GLESv2
......@@ -479,8 +484,7 @@ case $host in
AC_MSG_WARN([EGL is required by the Mesa GBM EGL backend])
else
HAVE_WINDOW_GBM=yes
GL_LIBS="$GL_LIBS"
GL_CFLAGS="$GL_CFLAGS"
GL_CFLAGS="$GL_CFLAGS DRM_CFLAGS"
fi
fi
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment